#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=base58

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -fv debian/base58.1

override_dh_auto_build:
	dh_auto_build
	ronn -r debian/base58.1.ronn

override_dh_install:
	dh_install
	# This file is part of the base58 package, so we remove it here
	# (see base58.install)
	rm -rf debian/python3-base58/usr/bin

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
